{
  config,
  lib,
  pkgs,
  ...
}:

{
  virtualisation = {
    containers.enable = true;
    podman = {
      enable = true;
      dockerCompat = true;
      defaultNetwork.settings.dns_enabled = true; # Required for containers under podman-compose to be able to talk to each other.
    };
  };

  environment.systemPackages = with pkgs; [
    podman-compose
    podman
    podman-tui
  ];

  users.users.imnyang = {
    extraGroups = [
      "podman"
    ];
  };
}
